Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform
[Java] Class DelegateASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.DelegateASTTransformation

All Implemented Interfaces:
  ASTTransformation, org.objectweb.asm.Opcodes

    @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    public class DelegateASTTransformation
    extends Object

Handles generation of code for the `@Delegate` annotation

Authors:
  Alex Tkachman
  Guillaume Laforge
  Paul King

Method Summary
`void` | `addError(String msg, ASTNode expr, SourceUnit source)`
`void` | `visit(ASTNode[] nodes, SourceUnit source)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### addError

    public void addError(String msg, ASTNode expr, SourceUnit source)

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

Copyright © 2003-2010 The Codehaus. All rights reserved.